This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 895282 (CVE-2013-0183)

Summary: CVE-2013-0183 rubygem-rack: receiving excessively long lines triggers out-of-memory error
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: athomas, bkabrda, bkearney, bleanhar, cpelland, dajohnso, esammons, iboverma, jeckersb, jialiu, jneedle, jrusnack, katello-bugs, katello-internal, lmeyer, mcressma, mfisher, mmccune, mmcgrath, mmorsi, morazi, mrg-program-list, msuchy, sclewis, vanmeeuwen+fedora, vondruch
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130107,reported=20130114,source=gentoo,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,fedora-all/rubygem-rack=affected,epel-all/rubygem-rack=affected,mrg-2/rubygem-rack=affected,openshift-1/rubygem-rack=wontfix,openshift-enterprise-1/rubygem-rack=wontfix,openshift-enterprise-1/rubygem193-rack=wontfix,cloudformscommon-1/rubygem-rack=wontfix,sam-1/rubygem-rack=wontfix,cwe=CWE-400
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-11-24 11:25:36 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 771152, 895285, 895397, 895398, 895400, 895401, 995679    
Bug Blocks: 892883, 895284, 906653    

Description Vincent Danen 2013-01-14 19:15:13 EST
Upstream released [1] Rack 1.4.3 and 1.3.8 to fix a denial of service condition due to a malicious client sending excessively long lines that trigger an out-of-memory error in Rack.

This has been fixed in git [2].


[1] https://groups.google.com/forum/#!topic/rack-devel/-MWPHDeGWtI/discussion
[2] https://github.com/rack/rack/commit/f95113402b7239f225282806673e1b6424522b18
Comment 1 Vincent Danen 2013-01-14 19:21:48 EST
Created rubygem-rack tracking bugs for this issue

Affects: fedora-all [bug 895285]
Comment 2 Vincent Danen 2013-01-14 19:23:12 EST
Created rubygem-rack tracking bugs for this issue

Affects: epel-all [bug 771152]
Comment 7 John Eckersberg 2013-01-16 11:22:39 EST
rack-1.3 patch: https://github.com/rack/rack/commit/548b9af2dc0059f4c0c19728624448d84de450ff
Comment 8 Fedora Update System 2013-01-25 16:34:08 EST
rubygem-rack-1.3.0-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-01-25 16:37:33 EST
rubygem-rack-1.4.0-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-01-25 16:43:44 EST
rubygem-rack-1.4.0-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 errata-xmlrpc 2013-02-21 14:05:32 EST
This issue has been addressed in following products:

  CloudForms for RHEL 6

Via RHSA-2013:0548 https://rhn.redhat.com/errata/RHSA-2013-0548.html
Comment 12 errata-xmlrpc 2013-02-21 14:21:36 EST
This issue has been addressed in following products:

  Red Hat Subscription Asset Manager 1.2

Via RHSA-2013:0544 https://rhn.redhat.com/errata/RHSA-2013-0544.html